/*控制header的动画*/
header:not(.fixed-header) .custom-header {
    background: transparent !important;
}

.fixed-header .custom-header {
    padding: 0 !important;
}

.custom-header {
    transition: all .3s ease-in-out ;
    -webkit-transition: all .3s ease-in-out 
}
/*控制header的动画*/

/*控制小方块鼠标放上去放大效果*/
@media (min-width: 769px) {
  .custom-block:hover {
  	z-index: 5;
  	}
  
    .custom-block  .ba-grid-column{
        -webkit-transition: all 0.2s ease;
        transition: all 0.2s ease;
    }

    .custom-block:hover  .ba-grid-column:hover{
        box-shadow: 0 8px 50px rgba(0, 0, 0, 0.2) !important;
        -webkit-transform: scale(1.05);
        transform: scale(1.05);
        z-index: 1;
    }
}
/*控制小方块鼠标放上去放大效果*/

/*控制footer的li没有前面的点*/
.footer-li li {
list-style: none;
text-align:left;
}
.footer-li li:hover {
text-decoration:underline ;
}
.footer-li ul {
margin: 0;
}
/*控制footer的li没有前面的点*/

/*控制首页图片下面的文字缩进距离*/
.home-example {
padding-left: 30px;
}
/*控制首页图片下面的文字缩进距离*/

/*控制客户评价名字后面的灰色缩小字体*/
.home-grey {
font-size: 15px;
color: #888;
}
/*控制客户评价名字后面的灰色缩小字体*/

/*控制常见问题下划线*/
.accordion-group {
border-bottom: 1px solid #bbb !important;
}
/*控制常见问题下划线*/

/*控制表单的*变成红色*/
.required-star {
color: red !important;
}
/*控制表单的*变成红色
@media screen and (max-width: 420px) {
.fixed-header {
  padding-top: 10px;
  }
*/

.ant-steps {
  flex-direction: column;
  }
.ant-steps-item {
  padding-left: 16px !important;
  white-space: nowrap;
  }
.ant-steps-item-title::after {
  background-color: #fff !important;
  }
}

/*控制移动端按钮背景颜色*/
@media screen and (max-width: 1024px) {
  
.open-menu .zmdi{
  background-color: #e59385;
  border-radius: 5px;
  margin: 12px;
  padding: 8px;
   }
.zmdi-close {
  background-color: #e59385;
  border-radius: 5px;
  margin: 12px;
  padding: 12px 15px;
   }
}

/*控制移动端按钮背景颜色*/


/*! CSS Used from: https://www.hknoblehouse.com/_next/static/css/64e016cf37a2dbaf.css */
.article-detail a,
.article-detail div,
.article-detail p {
  border: 0;
  font-size: 100%;
  font-style: inherit;
  font-weight: inherit;
  margin: 0;
  outline: 0;
  padding: 0;
  vertical-align: baseline;
}
.article-detail a {
  background-color: transparent;
}
.article-detail a:active {
  outline: 0;
}
.article-detail a,
.article-detail a:focus,
.article-detail a:hover,
.article-detail a:visited {
  text-decoration: none;
}
.article-detail img {
  border: 0;
}
.article-detail *,
.article-detail :after,
.article-detail :before {
  box-sizing: inherit;
}
.article-detail img {
  height: auto;
  max-width: 100%;
}
.article-detail a {
  color: #4169e1;
}
.article-detail a:focus,
.article-detail a:hover {
  color: #191970;
}
.article-detail a:focus {
  outline: thin dotted;
}
.article-detail a:hover {
  outline: 0;
}
.article-detail ::selection {
  background: #0274be;
}
.article-detail a,
.article-detail a:focus {
  text-decoration: none;
}
.article-detail a {
  transition: all 0.2s linear;
}
.article-detail img {
  vertical-align: middle;
}
.article-detail p {
  margin-bottom: 1.75em;
}
.article-detail a {
  color: #e59385;
}
.article-detail a:focus,
.article-detail a:hover {
  color: #1a6c7a;
}
.article-detail ::selection {
  background-color: #1a6c7a;
  color: #fff;
}
.article-content {
line-height: 5px;
}

.house-profile {
  display: flex;
  flex-direction: row !important;
}
.nav.nav-tabs { 
  margin: 0 auto;
  width: max-content;
}
.ba-tabs-wrapper.tabs-top .nav-tabs li {
display: inline-block;
  flex: none;
}

.ba-grid-column-wrapper{
  display：flex；
}

span.tabs-title{

}

.about-circle .content-text {
display: flex;
flex-direction: row;
}
.about-hr {
background-color: #aaa;
  height: 6px;
}

/*zero app案例下面3個屬性的前置圖標*/

.zeroupdate .ba-blog-post-fields .ba-blog-post-field-row-wrapper {
    flex-direction: row;
    justify-content: space-between;
}
.ba-blog-post-field-row:nth-child(1) .ba-blog-post-field-value::before {
    content: '';
    display: flex;
 
    width: 30px;
    height: 30px;
    background-image: url(https://www.szgpyg.com/images/compressed/home-img/3111.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.ba-blog-post-field-row:nth-child(2) .ba-blog-post-field-value::before {
    content: '';
    display: flex;
    width: 30px;
    height: 30px;
    background-image: url(https://www.szgpyg.com/images/compressed/home-img/31.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.ba-blog-post-field-row:nth-child(3) .ba-blog-post-field-value::before {
    content: '';
    display: flex;
    width: 30px;
    height: 30px;
    background-image: url(https://www.szgpyg.com/images/compressed/home-img/311.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.ba-blog-post-fields .ba-blog-post-field-value {
			display:flex;
    flex-grow: 1;
    text-align: right;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

/*可视化链接竖图*/
.st_visual_link {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    height: clamp(15.625rem, 10.417rem + 17.36vw, 31.25rem);
    box-sizing: border-box;
    overflow: hidden;
}

.st_visual_link_img {
    width: 45%;
    height: 100%;
    background-color: #4c4c4c;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.st_visual_link_txt {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 55%;
    height: 100%;
    box-sizing:border-box;
    background-color: #efefef;
    padding: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
    text-align:left;
}

.st_visual_link_img a {
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.st_visual_link_img_background {
    width: 100%;
    height: 100%;
    background-size: auto 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.st_visual_link_txt>a>h3 {
    font-family: OPPOSans-B;
    font-size: clamp(1.25rem, 1.042rem + 0.69vw, 1.875rem);
    font-weight: 600;
    font-stretch: normal;
    line-height: 1.3;
    letter-spacing: 0px;
    color: #333333;
    text-align: left;
    text-decoration: none;
}

.st_visual_link_txt>p {
    font-family: OPPOSans-M;
    font-size: clamp(0.938rem, 0.729rem + 0.69vw, 1.563rem);
    font-weight: 650;
    font-stretch: normal;
    line-height: 1.3;
    letter-spacing: 0px;
    color: #333333;
    /*padding-top: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
    padding-bottom: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);*/
}

.st_visual_link_txt_buttun {
    display: flex;
    justify-content: center;
    align-items: center;
    width: clamp(8.125rem, 4.777rem + 11.64vw, 18.75rem);
    height: clamp(2.125rem, 1.318rem + 2.81vw, 4.688rem);
    background-color: #8d502b;
    border-radius: 10px;
    font-family: OPPOSans-B;
    font-size: clamp(1rem, 0.665rem + 1.16vw, 2.063rem);
    font-weight: 750;
    font-stretch: normal;
    line-height: 1.3;
    letter-spacing: 0px;
    color: white;
    text-decoration: none;
}

@media (max-width:500px) {
    .st_visual_link {
        display: block;
        width: 100%;
        height: auto;
    }

    .st_visual_link_img {
        width: 100%;
        height: 400px;
    }

    .st_visual_link_txt {
        width: 100%;
        height: auto;
    }

    .st_visual_link_img a {
        height: 100%;
    }

    .st_visual_link_img_background {
        height: 100%;
        width: 100%;
    }
    
    .st_visual_link_txt>p{
        padding-top: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
        padding-bottom: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
    }
}

/*可视化链接横图*/
        .visual_link {
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            border-radius: 10px;
            height: clamp(15.625rem, 10.417rem + 17.36vw, 31.25rem);
            box-sizing: content-box;
            overflow: hidden;
        }

        .visual_link_img {
            width: 45%;
            height: 100%;
            background-color: #4c4c4c;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        .visual_link_txt {
            width: 55%;
            height: 100%;
            box-sizing: border-box;
            background-color: #efefef;
            padding: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
        }

        .visual_link_img a {
            width: 100%;
            height: 80%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .visual_link_img_background {
            width: 100%;
            height: 80%;
            background-size: auto 100%;
            background-repeat: no-repeat;
            background-position: center;
        }

        .visual_link_txt>a>h3{
            font-family: OPPOSans-B;
            font-size: clamp(1.25rem, 1.042rem + 0.69vw, 1.875rem);
            font-weight: 600;
            font-stretch: normal;
            line-height: 1.3;
            letter-spacing: 0px;
            color: #333333;
            text-align: left;
            text-decoration: none;
        }


        .visual_link_txt>p {
            font-family: OPPOSans-M;
            font-size: clamp(0.938rem, 0.729rem + 0.69vw, 1.563rem);
            font-weight: 650;
            font-stretch: normal;
            line-height: 1.3;
            letter-spacing: 0px;
            color: #333333;
            padding-top:clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
            padding-bottom: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
        }

        .visual_link_txt_buttun {
            display: flex;
            justify-content: center;
            align-items: center;
            width: clamp(8.125rem, 4.777rem + 11.64vw, 18.75rem);
            height: clamp(2.125rem, 1.318rem + 2.81vw, 4.688rem);
            background-color: #8d502b;
            border-radius: 10px;
            font-family: OPPOSans-B;
            font-size: clamp(1rem, 0.665rem + 1.16vw, 2.063rem);
            font-weight: 750;
            font-stretch: normal;
            line-height: 1.3;
            letter-spacing: 0px;
            color: white;
            text-decoration: none;
        }

        @media (max-width:500px) {
            .visual_link {
                display: block;
                width:100%;
                height: auto;
                
            }

            .visual_link_img {
                width:100%;
                height:200px;
            }
          
            .visual_link_txt {
                width: 100%;
                height: auto;
            }
            
            .visual_link_img a {
                height: 100%;
            }
            .visual_link_img_background{
                height:100%;
                width:100%;
            }
            .st_visual_link_txt>p{
                padding-top: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
                padding-bottom: clamp(0.313rem, -0.25rem + 2.81vw, 3.125rem);
            }
        }